package owrti;
import java.util.Vector;
import java.util.Hashtable;
import java.util.Enumeration;
/** */
public class RegionSubscriberRegistry extends PublisherRegistry implements RTIDebug {
   /** Routing Space */
   SpaceInfo r_space;

   RegionInfo defRegion;

   /** */
   public RegionSubscriberRegistry() { this(new SpaceInfo()); }

   /** */
   public RegionSubscriberRegistry(SpaceInfo r_space) 
   { this.r_space=r_space; defRegion=r_space.getDefaultRegion();}

   /** */
   public final void deregister_subscriber(short f) {  
    defRegion.deregister_subscriber(f);
   }// end of removeFederate()

   /** */
   public final void register_subscriber(FederateInfo f) {  
    defRegion.register_subscriber(f);
   }// end of addFederate()

   /** */
   public final Enumeration getSubscribers() {  
    return defRegion.getSubscribers();
   }// end of getSubscribers()

   /** */
   public final SpaceInfo getRoutingSpace() {  return r_space; }

   /** */
   public final int getRoutingSpaceHandle() { return r_space.getHandle(); }

   /** */
   public final RegionInfo getDefaultRegion() { return r_space.getDefaultRegion(); }

}// end of class RegionSubscriberRegistry

